Bug 656737 - Link to Release Notes using legacy URL
Summary: Link to Release Notes using legacy URL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-bookmarks
Version: 15
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Nick Bebout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedNTH
Depends On:
Blocks: F15Alpha-accepted, F15AlphaFreezeExcept
TreeView+ depends on / blocked
 
Reported: 2010-11-24 00:44 UTC by eric
Modified: 2011-02-26 04:39 UTC (History)
5 users (show)

Fixed In Version: fedora-bookmarks-15-0.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-26 04:39:43 UTC


Attachments (Terms of Use)

Description eric 2010-11-24 00:44:32 UTC
Description of problem: The current link to the Release Notes is http://docs.fedoraproject.org/release-notes.  This is a symlink that will be going away, soon.  The link should direct to http://docs.fedoraproject.org/en-US/Fedora/14/html/Release_Notes/index.html.


Version-Release number of selected component (if applicable): 14-1

Comment 1 John J. McDonough 2010-12-02 14:43:39 UTC
fedora-bookmarks.rpm merely installs a file in /usr/share/bookmarks.  Replacing this file doesn't correct the problem except for new users.

An update RPM should:

1) Install the new default-bookmarks.html in /usr/share/bookmarks

2) Copy that file to bookmarks.html in ~/.mozilla/... for both browsers (Firefox and Seamonkey) for all users. (I'm not entirely convinced that this actually matters since it appears this file is ignored after the first time FF is run).

3) Update the places.sqlite for all users as follows:

sqlite3 places.sqlite "UPDATE moz_places SET url='http://docs.fedoraproject.org/en-US/Fedora/14/html-single/Release_Notes/' WHERE url='http://docs.fedoraproject.org/release-notes/';"

(For Fedora 13 obviously replace the /14/ with /13/)

The scripting is a little messy because there is what appears to be a random number in the path.

Only Seamonkey and Firefox appear to use this file.

Comment 2 John J. McDonough 2010-12-16 01:07:25 UTC
After discussing this with the docs folks, we think the correct strategy is to

1) Change the redirect so it always points to the latest release notes
2) Change the Release Notes link in fedora-bookmarks to be titled "Fedora Documentation" and point to http://docs.fedoraproject.org

This way there isn't a confusing link on FF.  It is difficult to tell whether a user clicking on a link titled "Release Notes" wants the release notes associated with the version of Fedora he is running, which he already has locally, or is he going to the web for the latest release notes.

This fix will give existing users the most recent release notes, which they probably want anyway or thy would have looked at their local copy, and will give future users the choice of selecting the documentation they wish.

Comment 3 Fedora Update System 2011-02-17 01:45:27 UTC
fedora-bookmarks-15-0.1 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-bookmarks-15-0.1

Comment 4 Nick Bebout 2011-02-17 01:54:57 UTC
Bug 656737 - fedora-bookmarks-15-0.1

This is nice-to-have for f15-alpha per docs team.

fedora-bookmarks-15-0.1 is already built in koji

http://docs.fedoraproject.org/release-notes is deprecated, this update replaces this link with http://docs.fedoraproject.org, and renames the link to "Fedora Documentation" in the default bookmarks file.

If this update is not in whatever media people install from, most likely it will not have any effect, because it is only used on the first time the web browser is ran.

Comment 5 Adam Williamson 2011-02-18 00:36:51 UTC
this is nth, not blocker.

Comment 6 James Laska 2011-02-18 20:05:52 UTC
From the 2011-02-18 Alpha blocker review meeting
(http://meetbot.fedoraproject.org/fedora-bugzappers/2011-02-18/f15-alpha-bug-review.2011-02-18-17.00.html)

AGREED: 656737 - AcceptedNTH, will take fix into Alpha

Comment 7 Fedora Update System 2011-02-26 04:39:38 UTC
fedora-bookmarks-15-0.1 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.